io.vertx.amqpbridge

## Class AmqpBridgeOptions

- java.lang.Object
- - io.vertx.core.net.NetworkOptions
  - - io.vertx.core.net.TCPSSLOptions
    - - io.vertx.core.net.ClientOptionsBase
      - - io.vertx.core.net.NetClientOptions
        - - io.vertx.proton.ProtonClientOptions
          - - io.vertx.amqpbridge.AmqpBridgeOptions

-     public class AmqpBridgeOptions
      extends io.vertx.proton.ProtonClientOptions

  Options for configuring the AmqpBridge.

- - ### Field Summary

    - ### Fields inherited from class io.vertx.core.net.NetClientOptions

      `DEFAULT_HOSTNAME_VERIFICATION_ALGORITHM, DEFAULT_RECONNECT_ATTEMPTS, DEFAULT_RECONNECT_INTERVAL`

    - ### Fields inherited from class io.vertx.core.net.ClientOptionsBase

      `DEFAULT_CONNECT_TIMEOUT, DEFAULT_METRICS_NAME, DEFAULT_TRUST_ALL`

    - ### Fields inherited from class io.vertx.core.net.TCPSSLOptions

      `DEFAULT_ENABLED_SECURE_TRANSPORT_PROTOCOLS, DEFAULT_IDLE_TIMEOUT, DEFAULT_IDLE_TIMEOUT_TIME_UNIT, DEFAULT_SO_LINGER, DEFAULT_SSL, DEFAULT_SSL_ENGINE, DEFAULT_SSL_HANDSHAKE_TIMEOUT, DEFAULT_SSL_HANDSHAKE_TIMEOUT_TIME_UNIT, DEFAULT_TCP_CORK, DEFAULT_TCP_FAST_OPEN, DEFAULT_TCP_KEEP_ALIVE, DEFAULT_TCP_NO_DELAY, DEFAULT_TCP_QUICKACK, DEFAULT_TCP_USER_TIMEOUT, DEFAULT_USE_ALPN, DEFAULT_USE_POOLED_BUFFERS`

    - ### Fields inherited from class io.vertx.core.net.NetworkOptions

      `DEFAULT_LOG_ENABLED, DEFAULT_RECEIVE_BUFFER_SIZE, DEFAULT_REUSE_ADDRESS, DEFAULT_REUSE_PORT, DEFAULT_SEND_BUFFER_SIZE, DEFAULT_TRAFFIC_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AmqpBridgeOptions()`
    `AmqpBridgeOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AmqpBridgeOptions` | `addCrlPath(String crlPath)` Add a CRL path
    `AmqpBridgeOptions` | `addCrlValue(Buffer crlValue)` Add a CRL value
    `AmqpBridgeOptions` | `addEnabledCipherSuite(String suite)` Add an enabled cipher suite, appended to the ordered suites.
    `AmqpBridgeOptions` | `addEnabledSaslMechanism(String saslMechanism)`
    `AmqpBridgeOptions` | `addEnabledSecureTransportProtocol(String protocol)` Add an enabled SSL/TLS protocols, appended to the ordered protocols.
    `boolean` | `equals(Object obj)`
    `String` | `getContainerId()` Gets the value to use as the container-id field in the AMQP Open frame.
    `String` | `getVhost()` Deprecated. use `ProtonClientOptions.getVirtualHost()` option instead.
    `int` | `hashCode()`
    `boolean` | `isReplyHandlingSupport()` Whether the bridge should try to enable support for sending messages with a reply handler set, and replying to messages using the message reply methods.
    `AmqpBridgeOptions` | `removeEnabledSecureTransportProtocol(String protocol)` Removes an enabled SSL/TLS protocol from the ordered protocols.
    `AmqpBridgeOptions` | `setConnectTimeout(int connectTimeout)` Set the connect timeout
    `AmqpBridgeOptions` | `setContainerId(String containerId)` Sets the value to use as the container-id field in the AMQP Open frame.
    `AmqpBridgeOptions` | `setEnabledSecureTransportProtocols(Set<String> enabledSecureTransportProtocols)` Sets the list of enabled SSL/TLS protocols.
    `AmqpBridgeOptions` | `setHeartbeat(int heartbeat)`
    `AmqpBridgeOptions` | `setHostnameVerificationAlgorithm(String hostnameVerificationAlgorithm)` Set the hostname verification algorithm interval To disable hostname verification, set hostnameVerificationAlgorithm to an empty String
    `AmqpBridgeOptions` | `setIdleTimeout(int idleTimeout)` Set the idle timeout, default time unit is seconds.
    `AmqpBridgeOptions` | `setIdleTimeoutUnit(TimeUnit idleTimeoutUnit)` Set the idle timeout unit.
    `AmqpBridgeOptions` | `setJdkSslEngineOptions(JdkSSLEngineOptions sslEngineOptions)`
    `AmqpBridgeOptions` | `setKeyCertOptions(KeyCertOptions options)` Set the key/cert options.
    `AmqpBridgeOptions` | `setKeyStoreOptions(JksOptions options)` Set the key/cert options in jks format, aka Java keystore.
    `AmqpBridgeOptions` | `setLocalAddress(String localAddress)` Set the local interface to bind for network connections.
    `AmqpBridgeOptions` | `setLogActivity(boolean logEnabled)` Set to true to enabled network activity logging: Netty's pipeline is configured for logging on Netty's logger.
    `AmqpBridgeOptions` | `setMaxFrameSize(int maxFrameSize)`
    `AmqpBridgeOptions` | `setMetricsName(String metricsName)` Set the metrics name identifying the reported metrics, useful for grouping metrics with the same name.
    `AmqpBridgeOptions` | `setOpenSslEngineOptions(OpenSSLEngineOptions sslEngineOptions)`
    `AmqpBridgeOptions` | `setPemKeyCertOptions(PemKeyCertOptions options)` Set the key/cert store options in pem format.
    `AmqpBridgeOptions` | `setPemTrustOptions(PemTrustOptions options)` Set the trust options in pem format
    `AmqpBridgeOptions` | `setPfxKeyCertOptions(PfxOptions options)` Set the key/cert options in pfx format.
    `AmqpBridgeOptions` | `setPfxTrustOptions(PfxOptions options)` Set the trust options in pfx format
    `AmqpBridgeOptions` | `setProxyOptions(ProxyOptions proxyOptions)` Set proxy options for connections via CONNECT proxy (e.g.
    `AmqpBridgeOptions` | `setReceiveBufferSize(int receiveBufferSize)` Set the TCP receive buffer size
    `AmqpBridgeOptions` | `setReconnectAttempts(int attempts)` Set the value of reconnect attempts
    `AmqpBridgeOptions` | `setReconnectInterval(long interval)` Set the reconnect interval
    `AmqpBridgeOptions` | `setReplyHandlingSupport(boolean replyHandlingSupport)` Sets whether the bridge should try to enable support for sending messages with a reply handler set, and replying to messages using the message reply methods.
    `AmqpBridgeOptions` | `setReuseAddress(boolean reuseAddress)` Set the value of reuse address
    `AmqpBridgeOptions` | `setReusePort(boolean reusePort)` Set the value of reuse port.
    `AmqpBridgeOptions` | `setSendBufferSize(int sendBufferSize)` Set the TCP send buffer size
    `AmqpBridgeOptions` | `setSniServerName(String sniServerName)`
    `AmqpBridgeOptions` | `setSoLinger(int soLinger)` Set whether SO_linger keep alive is enabled
    `AmqpBridgeOptions` | `setSsl(boolean ssl)` Set whether SSL/TLS is enabled
    `AmqpBridgeOptions` | `setSslEngineOptions(SSLEngineOptions sslEngineOptions)` Set to use SSL engine implementation to use.
    `AmqpBridgeOptions` | `setTcpCork(boolean tcpCork)` Enable the `TCP_CORK` option - only with linux native transport.
    `AmqpBridgeOptions` | `setTcpFastOpen(boolean tcpFastOpen)` Enable the `TCP_FASTOPEN` option - only with linux native transport.
    `AmqpBridgeOptions` | `setTcpKeepAlive(boolean tcpKeepAlive)` Set whether TCP keep alive is enabled
    `AmqpBridgeOptions` | `setTcpNoDelay(boolean tcpNoDelay)` Set whether TCP no delay is enabled
    `AmqpBridgeOptions` | `setTcpQuickAck(boolean tcpQuickAck)` Enable the `TCP_QUICKACK` option - only with linux native transport.
    `AmqpBridgeOptions` | `setTrafficClass(int trafficClass)` Set the value of traffic class
    `AmqpBridgeOptions` | `setTrustAll(boolean trustAll)` Set whether all server certificates should be trusted
    `AmqpBridgeOptions` | `setTrustOptions(TrustOptions options)` Set the trust options.
    `AmqpBridgeOptions` | `setTrustStoreOptions(JksOptions options)` Set the trust options in jks format, aka Java truststore
    `AmqpBridgeOptions` | `setUseAlpn(boolean useAlpn)` Set the ALPN usage.
    `AmqpBridgeOptions` | `setUsePooledBuffers(boolean usePooledBuffers)` Set whether Netty pooled buffers are enabled
    `AmqpBridgeOptions` | `setVhost(String vhost)` Deprecated. use `setVirtualHost(String)` option instead.
    `AmqpBridgeOptions` | `setVirtualHost(String virtualHost)`
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class io.vertx.proton.ProtonClientOptions

      `getEnabledSaslMechanisms, getHeartbeat, getMaxFrameSize, getSniServerName, getVirtualHost`

    - ### Methods inherited from class io.vertx.core.net.NetClientOptions

      `getHostnameVerificationAlgorithm, getReconnectAttempts, getReconnectInterval, setSslHandshakeTimeout, setSslHandshakeTimeoutUnit`

    - ### Methods inherited from class io.vertx.core.net.ClientOptionsBase

      `getConnectTimeout, getLocalAddress, getMetricsName, getProxyOptions, isTrustAll, setTcpUserTimeout`

    - ### Methods inherited from class io.vertx.core.net.TCPSSLOptions

      `getCrlPaths, getCrlValues, getEnabledCipherSuites, getEnabledSecureTransportProtocols, getIdleTimeout, getIdleTimeoutUnit, getJdkSslEngineOptions, getKeyCertOptions, getKeyStoreOptions, getOpenSslEngineOptions, getPemKeyCertOptions, getPemTrustOptions, getPfxKeyCertOptions, getPfxTrustOptions, getSoLinger, getSslEngineOptions, getSslHandshakeTimeout, getSslHandshakeTimeoutUnit, getTcpUserTimeout, getTrustOptions, getTrustStoreOptions, isSsl, isTcpCork, isTcpFastOpen, isTcpKeepAlive, isTcpNoDelay, isTcpQuickAck, isUseAlpn, isUsePooledBuffers`

    - ### Methods inherited from class io.vertx.core.net.NetworkOptions

      `getLogActivity, getReceiveBufferSize, getSendBufferSize, getTrafficClass, isReuseAddress, isReusePort`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AmqpBridgeOptions

          public AmqpBridgeOptions()

    - #### AmqpBridgeOptions

          public AmqpBridgeOptions(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Description copied from class: `ClientOptionsBase`
      Convert to JSON
      Overrides:
        `toJson` in class `io.vertx.proton.ProtonClientOptions`
      Returns:
        the JSON

    - #### setContainerId

          public AmqpBridgeOptions setContainerId(String containerId)

      Sets the value to use as the container-id field in the AMQP Open frame. Some servers and clients use this for the concept of a 'Client ID'. Defaults to null, which indicates a value will be generated by the bridge when the underlying connection is made.
      Parameters:
        `containerId` - the container-id to use
      Returns:
        the options

    - #### getContainerId

          public String getContainerId()

      Gets the value to use as the container-id field in the AMQP Open frame. Defaults to null, which indicates a value will be generated by the bridge when the underlying connection is made.
      Returns:
        the container id, or null if one will be generated

    - #### setVhost

          @Deprecated
          public AmqpBridgeOptions setVhost(String vhost)

      Deprecated. use `setVirtualHost(String)` option instead.
      Sets the value to use as the hostname field in the AMQP Open frame. Defaults to null, which indicates the hostname value given when starting the bridge will be used to populate the hostname field.
      Parameters:
        `vhost` - the value to use as the hostname field in the AMQP Open frame to indicate a vhost.
      Returns:
        the options

    - #### getVhost

          @Deprecated
          public String getVhost()

      Deprecated. use `ProtonClientOptions.getVirtualHost()` option instead.
      Gets the value to use as the hostname field in the AMQP Open frame to indicate a vhost. Defaults to null, which indicates the hostname value given when starting the bridge will be used to populate the hostname field.
      Returns:
        the hostname, or null to indicate the TCP connection hostname will be used.

    - #### setReplyHandlingSupport

          public AmqpBridgeOptions setReplyHandlingSupport(boolean replyHandlingSupport)

      Sets whether the bridge should try to enable support for sending messages with a reply handler set, and replying to messages using the message reply methods. Defaults to true. If the server does not advertise support for 'anonymous sender' links then the bridge won't support reply handling regardless of this setting.
      Parameters:
        `replyHandlingSupport` - should attempt be made to enable support for sending messages with a reply handler
      Returns:
        the options

    - #### isReplyHandlingSupport

          public boolean isReplyHandlingSupport()

      Whether the bridge should try to enable support for sending messages with a reply handler set, and replying to messages using the message reply methods. Defaults to true. If the server does not advertise support for 'anonymous sender' links then the bridge won't support reply handling regardless of this setting.
      Returns:
        whether the bridge should try to enable reply handling support

    - #### addEnabledSaslMechanism

          public AmqpBridgeOptions addEnabledSaslMechanism(String saslMechanism)

      Overrides:
        `addEnabledSaslMechanism` in class `io.vertx.proton.ProtonClientOptions`

    - #### setHeartbeat

          public AmqpBridgeOptions setHeartbeat(int heartbeat)

      Overrides:
        `setHeartbeat` in class `io.vertx.proton.ProtonClientOptions`

    - #### setSendBufferSize

          public AmqpBridgeOptions setSendBufferSize(int sendBufferSize)

      Description copied from class: `NetworkOptions`
      Set the TCP send buffer size
      Overrides:
        `setSendBufferSize` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `sendBufferSize` - the buffers size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReceiveBufferSize

          public AmqpBridgeOptions setReceiveBufferSize(int receiveBufferSize)

      Description copied from class: `NetworkOptions`
      Set the TCP receive buffer size
      Overrides:
        `setReceiveBufferSize` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `receiveBufferSize` - the buffers size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReuseAddress

          public AmqpBridgeOptions setReuseAddress(boolean reuseAddress)

      Description copied from class: `NetworkOptions`
      Set the value of reuse address
      Overrides:
        `setReuseAddress` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `reuseAddress` - the value of reuse address
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrafficClass

          public AmqpBridgeOptions setTrafficClass(int trafficClass)

      Description copied from class: `NetworkOptions`
      Set the value of traffic class
      Overrides:
        `setTrafficClass` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `trafficClass` - the value of traffic class
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpNoDelay

          public AmqpBridgeOptions setTcpNoDelay(boolean tcpNoDelay)

      Description copied from class: `TCPSSLOptions`
      Set whether TCP no delay is enabled
      Overrides:
        `setTcpNoDelay` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `tcpNoDelay` - true if TCP no delay is enabled (Nagle disabled)
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpKeepAlive

          public AmqpBridgeOptions setTcpKeepAlive(boolean tcpKeepAlive)

      Description copied from class: `TCPSSLOptions`
      Set whether TCP keep alive is enabled
      Overrides:
        `setTcpKeepAlive` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `tcpKeepAlive` - true if TCP keep alive is enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSoLinger

          public AmqpBridgeOptions setSoLinger(int soLinger)

      Description copied from class: `TCPSSLOptions`
      Set whether SO_linger keep alive is enabled
      Overrides:
        `setSoLinger` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `soLinger` - true if SO_linger is enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReusePort

          public AmqpBridgeOptions setReusePort(boolean reusePort)

      Description copied from class: `NetworkOptions`
      Set the value of reuse port.

      This is only supported by native transports.
      Overrides:
        `setReusePort` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `reusePort` - the value of reuse port
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpCork

          public AmqpBridgeOptions setTcpCork(boolean tcpCork)

      Description copied from class: `TCPSSLOptions`
      Enable the `TCP_CORK` option - only with linux native transport.
      Overrides:
        `setTcpCork` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `tcpCork` - the cork value

    - #### setTcpFastOpen

          public AmqpBridgeOptions setTcpFastOpen(boolean tcpFastOpen)

      Description copied from class: `TCPSSLOptions`
      Enable the `TCP_FASTOPEN` option - only with linux native transport.
      Overrides:
        `setTcpFastOpen` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `tcpFastOpen` - the fast open value

    - #### setTcpQuickAck

          public AmqpBridgeOptions setTcpQuickAck(boolean tcpQuickAck)

      Description copied from class: `TCPSSLOptions`
      Enable the `TCP_QUICKACK` option - only with linux native transport.
      Overrides:
        `setTcpQuickAck` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `tcpQuickAck` - the quick ack value

    - #### setUsePooledBuffers

          public AmqpBridgeOptions setUsePooledBuffers(boolean usePooledBuffers)

      Description copied from class: `TCPSSLOptions`
      Set whether Netty pooled buffers are enabled
      Overrides:
        `setUsePooledBuffers` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `usePooledBuffers` - true if pooled buffers enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setIdleTimeout

          public AmqpBridgeOptions setIdleTimeout(int idleTimeout)

      Description copied from class: `TCPSSLOptions`
      Set the idle timeout, default time unit is seconds. Zero means don't timeout. This determines if a connection will timeout and be closed if no data is received within the timeout. If you want change default time unit, use `TCPSSLOptions.setIdleTimeoutUnit(TimeUnit)`
      Overrides:
        `setIdleTimeout` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `idleTimeout` - the timeout, in seconds
      Returns:
        a reference to this, so the API can be used fluently

    - #### setIdleTimeoutUnit

          public AmqpBridgeOptions setIdleTimeoutUnit(TimeUnit idleTimeoutUnit)

      Description copied from class: `TCPSSLOptions`
      Set the idle timeout unit. If not specified, default is seconds.
      Overrides:
        `setIdleTimeoutUnit` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `idleTimeoutUnit` - specify time unit.
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSsl

          public AmqpBridgeOptions setSsl(boolean ssl)

      Description copied from class: `TCPSSLOptions`
      Set whether SSL/TLS is enabled
      Overrides:
        `setSsl` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `ssl` - true if enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setKeyStoreOptions

          public AmqpBridgeOptions setKeyStoreOptions(JksOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options in jks format, aka Java keystore.
      Overrides:
        `setKeyStoreOptions` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `options` - the key store in jks format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPfxKeyCertOptions

          public AmqpBridgeOptions setPfxKeyCertOptions(PfxOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options in pfx format.
      Overrides:
        `setPfxKeyCertOptions` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `options` - the key cert options in pfx format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPemKeyCertOptions

          public AmqpBridgeOptions setPemKeyCertOptions(PemKeyCertOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert store options in pem format.
      Overrides:
        `setPemKeyCertOptions` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `options` - the options in pem format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrustStoreOptions

          public AmqpBridgeOptions setTrustStoreOptions(JksOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in jks format, aka Java truststore
      Overrides:
        `setTrustStoreOptions` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `options` - the trust options in jks format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPemTrustOptions

          public AmqpBridgeOptions setPemTrustOptions(PemTrustOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in pem format
      Overrides:
        `setPemTrustOptions` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `options` - the trust options in pem format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPfxTrustOptions

          public AmqpBridgeOptions setPfxTrustOptions(PfxOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in pfx format
      Overrides:
        `setPfxTrustOptions` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `options` - the trust options in pfx format
      Returns:
        a reference to this, so the API can be used fluently

    - #### addEnabledCipherSuite

          public AmqpBridgeOptions addEnabledCipherSuite(String suite)

      Description copied from class: `TCPSSLOptions`
      Add an enabled cipher suite, appended to the ordered suites.
      Overrides:
        `addEnabledCipherSuite` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `suite` - the suite
      Returns:
        a reference to this, so the API can be used fluently

    - #### addCrlPath

          public AmqpBridgeOptions addCrlPath(String crlPath)
                                       throws NullPointerException

      Description copied from class: `TCPSSLOptions`
      Add a CRL path
      Overrides:
        `addCrlPath` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `crlPath` - the path
      Returns:
        a reference to this, so the API can be used fluently
      Throws:
        `NullPointerException`

    - #### addCrlValue

          public AmqpBridgeOptions addCrlValue(Buffer crlValue)
                                        throws NullPointerException

      Description copied from class: `TCPSSLOptions`
      Add a CRL value
      Overrides:
        `addCrlValue` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `crlValue` - the value
      Returns:
        a reference to this, so the API can be used fluently
      Throws:
        `NullPointerException`

    - #### setTrustAll

          public AmqpBridgeOptions setTrustAll(boolean trustAll)

      Description copied from class: `ClientOptionsBase`
      Set whether all server certificates should be trusted
      Overrides:
        `setTrustAll` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `trustAll` - true if all should be trusted
      Returns:
        a reference to this, so the API can be used fluently

    - #### setConnectTimeout

          public AmqpBridgeOptions setConnectTimeout(int connectTimeout)

      Description copied from class: `ClientOptionsBase`
      Set the connect timeout
      Overrides:
        `setConnectTimeout` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `connectTimeout` - connect timeout, in ms
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReconnectAttempts

          public AmqpBridgeOptions setReconnectAttempts(int attempts)

      Description copied from class: `NetClientOptions`
      Set the value of reconnect attempts
      Overrides:
        `setReconnectAttempts` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `attempts` - the maximum number of reconnect attempts
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReconnectInterval

          public AmqpBridgeOptions setReconnectInterval(long interval)

      Description copied from class: `NetClientOptions`
      Set the reconnect interval
      Overrides:
        `setReconnectInterval` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `interval` - the reconnect interval in ms
      Returns:
        a reference to this, so the API can be used fluently

    - #### setUseAlpn

          public AmqpBridgeOptions setUseAlpn(boolean useAlpn)

      Description copied from class: `TCPSSLOptions`
      Set the ALPN usage.
      Overrides:
        `setUseAlpn` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `useAlpn` - true when Application-Layer Protocol Negotiation should be used

    - #### addEnabledSecureTransportProtocol

          public AmqpBridgeOptions addEnabledSecureTransportProtocol(String protocol)

      Description copied from class: `TCPSSLOptions`
      Add an enabled SSL/TLS protocols, appended to the ordered protocols.
      Overrides:
        `addEnabledSecureTransportProtocol` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `protocol` - the SSL/TLS protocol to enable
      Returns:
        a reference to this, so the API can be used fluently

    - #### removeEnabledSecureTransportProtocol

          public AmqpBridgeOptions removeEnabledSecureTransportProtocol(String protocol)

      Description copied from class: `TCPSSLOptions`
      Removes an enabled SSL/TLS protocol from the ordered protocols.
      Overrides:
        `removeEnabledSecureTransportProtocol` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `protocol` - the SSL/TLS protocol to disable
      Returns:
        a reference to this, so the API can be used fluently

    - #### setEnabledSecureTransportProtocols

          public AmqpBridgeOptions setEnabledSecureTransportProtocols(Set<String> enabledSecureTransportProtocols)

      Description copied from class: `TCPSSLOptions`
      Sets the list of enabled SSL/TLS protocols.
      Overrides:
        `setEnabledSecureTransportProtocols` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `enabledSecureTransportProtocols` - the SSL/TLS protocols to enable
      Returns:
        a reference to this, so the API can be used fluently

    - #### setHostnameVerificationAlgorithm

          public AmqpBridgeOptions setHostnameVerificationAlgorithm(String hostnameVerificationAlgorithm)

      Description copied from class: `NetClientOptions`
      Set the hostname verification algorithm interval To disable hostname verification, set hostnameVerificationAlgorithm to an empty String
      Overrides:
        `setHostnameVerificationAlgorithm` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `hostnameVerificationAlgorithm` - should be HTTPS, LDAPS or an empty String
      Returns:
        a reference to this, so the API can be used fluently

    - #### setKeyCertOptions

          public AmqpBridgeOptions setKeyCertOptions(KeyCertOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options.
      Overrides:
        `setKeyCertOptions` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `options` - the key store options
      Returns:
        a reference to this, so the API can be used fluently

    - #### setLogActivity

          public AmqpBridgeOptions setLogActivity(boolean logEnabled)

      Description copied from class: `NetworkOptions`
      Set to true to enabled network activity logging: Netty's pipeline is configured for logging on Netty's logger.
      Overrides:
        `setLogActivity` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `logEnabled` - true for logging the network activity
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMetricsName

          public AmqpBridgeOptions setMetricsName(String metricsName)

      Description copied from class: `ClientOptionsBase`
      Set the metrics name identifying the reported metrics, useful for grouping metrics with the same name.
      Overrides:
        `setMetricsName` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `metricsName` - the metrics name
      Returns:
        a reference to this, so the API can be used fluently

    - #### setProxyOptions

          public AmqpBridgeOptions setProxyOptions(ProxyOptions proxyOptions)

      Description copied from class: `ClientOptionsBase`
      Set proxy options for connections via CONNECT proxy (e.g. Squid) or a SOCKS proxy.
      Overrides:
        `setProxyOptions` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `proxyOptions` - proxy options object
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrustOptions

          public AmqpBridgeOptions setTrustOptions(TrustOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options.
      Overrides:
        `setTrustOptions` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `options` - the trust options
      Returns:
        a reference to this, so the API can be used fluently

    - #### setJdkSslEngineOptions

          public AmqpBridgeOptions setJdkSslEngineOptions(JdkSSLEngineOptions sslEngineOptions)

      Overrides:
        `setJdkSslEngineOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setOpenSslEngineOptions

          public AmqpBridgeOptions setOpenSslEngineOptions(OpenSSLEngineOptions sslEngineOptions)

      Overrides:
        `setOpenSslEngineOptions` in class `io.vertx.proton.ProtonClientOptions`

    - #### setSslEngineOptions

          public AmqpBridgeOptions setSslEngineOptions(SSLEngineOptions sslEngineOptions)

      Description copied from class: `TCPSSLOptions`
      Set to use SSL engine implementation to use.
      Overrides:
        `setSslEngineOptions` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `sslEngineOptions` - the ssl engine to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### setLocalAddress

          public AmqpBridgeOptions setLocalAddress(String localAddress)

      Description copied from class: `ClientOptionsBase`
      Set the local interface to bind for network connections. When the local address is null, it will pick any local address, the default local address is null.
      Overrides:
        `setLocalAddress` in class `io.vertx.proton.ProtonClientOptions`
      Parameters:
        `localAddress` - the local address
      Returns:
        a reference to this, so the API can be used fluently

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `io.vertx.proton.ProtonClientOptions`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `io.vertx.proton.ProtonClientOptions`

    - #### setVirtualHost

          public AmqpBridgeOptions setVirtualHost(String virtualHost)

      Overrides:
        `setVirtualHost` in class `io.vertx.proton.ProtonClientOptions`

    - #### setSniServerName

          public AmqpBridgeOptions setSniServerName(String sniServerName)

      Overrides:
        `setSniServerName` in class `io.vertx.proton.ProtonClientOptions`

    - #### setMaxFrameSize

          public AmqpBridgeOptions setMaxFrameSize(int maxFrameSize)

      Overrides:
        `setMaxFrameSize` in class `io.vertx.proton.ProtonClientOptions`

Copyright © 2022 Eclipse. All rights reserved.